cascading.flow.planner.rule.util

## Class RuleLogUtil

- java.lang.Object
- - cascading.flow.planner.rule.util.RuleLogUtil

-     public class RuleLogUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleLogUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `enableDebugLogging()`
    `static java.lang.String[]` | `enableLogging(LogLevel level)`
    `static java.lang.String[]` | `enableTraceLogging()`
    `static void` | `restoreLogging(java.lang.String[] levels)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleLogUtil

          public RuleLogUtil()

  - ### Method Detail

    - #### enableDebugLogging

          public static java.lang.String[] enableDebugLogging()

    - #### enableTraceLogging

          public static java.lang.String[] enableTraceLogging()

    - #### enableLogging

          public static java.lang.String[] enableLogging(LogLevel level)

    - #### restoreLogging

          public static void restoreLogging(java.lang.String[] levels)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.